Cancel Rewards - Fabric

Cancel Rewards

cURL

curl --request POST \
  --url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
  "profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
  "cancelAuditUser": "Joe"
}'

Python

import requests

url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/cancel"

payload = {
    "redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
    "profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
    "cancelAuditUser": "Joe"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    redemptionCode: '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
    profileId: '67460e74-02e3-11e8-b443-00163e990bdb',
    cancelAuditUser: 'Joe'
  })
};

fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/cancel', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Example Responses

Success Response

{
  "status": 200,
  "message": "Reward cancelled successfully.",
  "errors": {},
  "data": null
}

Error Response (Invalid Field)

{
  "message": "Error message string",
  "errors": {
    "ExceptionString": ["Invalid Field"]
  },
  "data": null,
  "status": 400
}

Error Response (Authentication Failed)

{
  "detail": "Authentication Failed"
}

Request Body